Create Connect

Get an existing connect or create a new connect for an existing nonprofit organization. The returned Connect can be used to integrate the client-side Chariot Connect component using the `id` property (CID) and also query for data generated from the Chariot Connect instance using the connect_id query parameter in any of the List Grants API endpoints. <Note> Only one Connect object can be created per organization. If one already exists, this will return a `200 OK` status with the existing object. </Note>

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

The request to create a new Connect object for a nonprofit.
organization_idstringRequired
The unique identifier for the organization
contactobjectRequired
namestringOptional
A human readable name of the Connect, optional.
metadatamap from strings to stringsOptional
A map of arbitrary string keys and values to store information about the object.

Response

OK
idstringRead-only

The unique identifier for this object. This is also the ‘publishable’ cid to use for initializing Connect for client-side integration.

apiKeystringRead-only

(deprecated) A secure token that can be used to make M2M API calls to read data generated by this object.

namestring
A human readable name for the connect, optional.
activeboolean
A flag to indicate if this connect is active. If true, then this Connect can process donations and grants, otherwise this Connect cannot process grants.
createdAtstringRead-onlyformat: "date-time"
Time when this object was created. Expressed in RFC 3339 format.
updatedAtstringRead-onlyformat: "date-time"
Time when this object was last updated. Expressed in RFC 3339 format.
createdBystringRead-only
ID of the user who created this object.
archivedbooleanRead-only
A flag to indicate if this object is marked for deletion.
metadatamap from strings to strings
A map of arbitrary string keys and values to store information about the object.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error